<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-siswa-heading">Create or edit a Siswa</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id"
                        readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_nis">Nis</label>
                    <input type="text" class="form-control" name="nis" id="field_nis"
                           formControlName="nis"/>
                    <div *ngIf="editForm.get('nis')!.invalid && (editForm.get('nis')!.dirty || editForm.get('nis')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('nis')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_nama">Nama</label>
                    <input type="text" class="form-control" name="nama" id="field_nama"
                           formControlName="nama"/>
                    <div *ngIf="editForm.get('nama')!.invalid && (editForm.get('nama')!.dirty || editForm.get('nama')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('nama')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_alamat">Alamat</label>
                    <input type="text" class="form-control" name="alamat" id="field_alamat"
                           formControlName="alamat"/>
                    <div *ngIf="editForm.get('alamat')!.invalid && (editForm.get('alamat')!.dirty || editForm.get('alamat')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('alamat')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_jenisKelamin">Jenis Kelamin</label>
                    <select class="form-control" name="jenisKelamin" formControlName="jenisKelamin" id="field_jenisKelamin">
                        <option value="LAKILAKI">LAKILAKI</option>
                        <option value="PEREMPUAN">PEREMPUAN</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_tempatLahir">Tempat Lahir</label>
                    <input type="text" class="form-control" name="tempatLahir" id="field_tempatLahir"
                           formControlName="tempatLahir"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_tanggalLahir">Tanggal Lahir</label>
                    <div class="d-flex">
                        <input id="field_tanggalLahir" type="datetime-local" class="form-control" name="tanggalLahir" formControlName="tanggalLahir" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_waliMurid">Wali Murid</label>
                    <input type="text" class="form-control" name="waliMurid" id="field_waliMurid"
                           formControlName="waliMurid"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_noTelephone">No Telephone</label>
                    <input type="text" class="form-control" name="noTelephone" id="field_noTelephone"
                           formControlName="noTelephone"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_tahunAjaran">Tahun Ajaran</label>
                    <input type="text" class="form-control" name="tahunAjaran" id="field_tahunAjaran" placeholder="exp: 2020/2021"
                           formControlName="tahunAjaran"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_beasiswa">Beasiswa</label>
                    <select class="form-control" name="beasiswa" formControlName="beasiswa" id="field_beasiswa">
                        <option value="false">Tidak</option>
                        <option value="true">Ya</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_jenisBeasiswa">Jenis Beasiswa</label>
                    <select class="form-control" name="jenisBeasiswa" formControlName="jenisBeasiswa" id="field_jenisBeasiswa">
                        <option value="prestasi">Prestasi</option>
                        <option value="ditangguhkan">Ditangguhkan</option>
                        <option value="ditanggung">Ditanggung</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_jmlBulan">Jumlah Bulan Beasiswa</label>
                    <input type="text" class="form-control" name="jmlBulan" id="field_jmlBulan"
                           formControlName="jmlBulan"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_loundry">Loundry</label>
                    <select class="form-control" name="loundry" formControlName="loundry" id="field_loundry">
                        <option value="false">Tidak</option>
                        <option value="true">Ya</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_kelas">Kelas</label>
                    <select class="form-control" id="field_kelas" name="kelas" formControlName="kelas">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="kelasOption.id === editForm.get('kelas')!.value?.id ? editForm.get('kelas')!.value : kelasOption" *ngFor="let kelasOption of kelas; trackBy: trackById">{{kelasOption.nama}}-{{kelasOption.jenjang}}</option>
                    </select>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span>Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
